#!/bin/bash

SLEEP=20

function test ()
{
    args=$1
    new=$2

    ps3-video-mode $args -v $new
    # Fill the screen with colour.
    ls --color=tty; ls --color=tty; ls --color=tty; ls --color=tty; ls --color=tty; ls --color=tty; ls --color=tty; ls --color=tty; 
    NEW=`/usr/bin/ps3-video-mode`
    #banner -w 40 "$NEW"
    echo "****************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************"
    echo "New video mode - $NEW"
    sleep $SLEEP
}

TEST=$@
CURRENT=`ps3-video-mode`

case "$TEST" in
    "")
	for each in `seq 32 -1 1`
	do
	    test "-f" $each
	done
	;;
    *)
	test "" $TEST
	test "-f" $TEST
	test "-r" $TEST
	test "-d" $TEST
	test "-r -f" $TEST
	test "-f -d" $TEST
	test "-r -d" $TEST
	test "-r -f -d" $TEST
	;;
esac

ps3-video-mode -v $CURRENT
